Package org.apache.sysds.runtime.frame.data.lib

## Class FrameFromMatrixBlock

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.lib.FrameFromMatrixBlock

    public class FrameFromMatrixBlock
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameBlock` `convertToFrameBlock​(MatrixBlock mb, int k)`
`static FrameBlock` `convertToFrameBlock​(MatrixBlock mb, Types.ValueType[] schema, int k)`
`static FrameBlock` `convertToFrameBlock​(MatrixBlock mb, Types.ValueType vt, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### convertToFrameBlock

    public static FrameBlock convertToFrameBlock​(MatrixBlock mb,
                                                 int k)

#### convertToFrameBlock

    public static FrameBlock convertToFrameBlock​(MatrixBlock mb,
                                                 Types.ValueType vt,
                                                 int k)

#### convertToFrameBlock

    public static FrameBlock convertToFrameBlock​(MatrixBlock mb,
                                                 Types.ValueType[] schema,
                                                 int k)